aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libgsf/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-08-02 11:41:03 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-08-02 11:41:03 +0000
commit4f46747d6ee0b763738ce8288b74218c73f65013 (patch)
tree41bb358b60ac5a5b62e429c6652f817a35f3e532 /x11/libgsf/APKBUILD
parenta29975a138916dce5b8fc1ab673317c5c2509297 (diff)
downloadaports-4f46747d6ee0b763738ce8288b74218c73f65013.tar.gz
aports-4f46747d6ee0b763738ce8288b74218c73f65013.tar.bz2
aports-4f46747d6ee0b763738ce8288b74218c73f65013.tar.xz
x11/libgsf: new aport
The GNOME Structured File Library is a utility library for reading and writing structured file formats. http://www.gnome.org/
Diffstat (limited to 'x11/libgsf/APKBUILD')
-rw-r--r--x11/libgsf/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/x11/libgsf/APKBUILD b/x11/libgsf/APKBUILD
new file mode 100644
index 0000000000..3eb59ce876
--- /dev/null
+++ b/x11/libgsf/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libgsf
+pkgver=1.14.14
+pkgrel=0
+pkgdesc="The GNOME Structured File Library is a utility library for reading and writing structured file formats."
+url="http://www.gnome.org/"
+license="GPL LGPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="libxml2-dev glib-dev bzip2-dev intltool python"
+source="http://ftp.gnome.org/pub/GNOME/sources/$pkgname/1.14/$pkgname-$pkgver.tar.bz2"
+
+depends_dev="glib-dev libxml2-dev pkgconfig"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ sed -i -e 's/gsf-gnome//' -e 's/thumbnailer//' Makefile.* || return 1
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/share/man \
+ --disable-static \
+ --without-gnome-vfs \
+ --without-bonobo || return 1
+ make || return 1
+ make DESTDIR=""$pkgdir"" install || return 1
+ rm -f "$pkgdir"/usr/share/man/man1/gsf-office-thumbnailer.1
+}
+
+md5sums="69e9c57d48539782f72c55824a3c6859 libgsf-1.14.14.tar.bz2"